Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.utils
Class NodeVector

    java.lang.Object
      |
      +--org.apache.xalan.utils.NodeVector

Direct Known Subclasses:
  NodeSet

public class NodeVector
extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

**For internal use only** A very simple table that stores a list of Nodes.

See Also:
  Serialized Form

Constructor Summary
`NodeVector()` **For internal use only** Default constructor.
`NodeVector(int blocksize)` **For internal use only** Construct a NodeVector, using the given block size.

Method Summary
`void` | `addElement(Node value)` **For internal use only** Append a Node onto the vector.
`void` | `appendNodes(NodeVector nodes)` **For internal use only** Append the nodes to the list.
`java.lang.Object` | `clone()` **For internal use only** Get a cloned LocPathIterator.
`boolean` | `contains(Node s)` **For internal use only** Tell if the table contains the given node.
`Node` | `elementAt(int i)` **For internal use only** Get the nth element.
`int` | `indexOf(Node elem)` **For internal use only** Searches for the first occurence of the given argument, beginning the search at index, and testing for equality using the equals method.
`int` | `indexOf(Node elem, int index)` **For internal use only** Searches for the first occurence of the given argument, beginning the search at index, and testing for equality using the equals method.
`void` | `insertElementAt(Node value, int at)` **For internal use only** Inserts the specified node in this vector at the specified index.
`Node` | `peepOrNull()` **For internal use only** Special purpose method for TransformerImpl, pushElemTemplateElement.
`Node` | `peepTail()` **For internal use only** Special purpose method for TransformerImpl, pushElemTemplateElement.
`Node` | `peepTailSub1()` **For internal use only** Special purpose method for TransformerImpl, pushElemTemplateElement.
`Node` | `pop()` **For internal use only** Pop a node from the tail of the vector and return the result.
`void` | `popPair()` **For internal use only** Special purpose method for TransformerImpl, pushElemTemplateElement.
`void` | `popQuick()` **For internal use only** Pop a node from the tail of the vector.
`void` | `push(Node value)` **For internal use only** Append a Node onto the vector.
`void` | `pushPair(Node v1, Node v2)` **For internal use only** Special purpose method for TransformerImpl, pushElemTemplateElement.
`void` | `removeAllElements()` **For internal use only** Inserts the specified node in this vector at the specified index.
`boolean` | `removeElement(Node s)` **For internal use only** Removes the first occurrence of the argument from this vector.
`void` | `removeElementAt(int i)` **For internal use only** Deletes the component at the specified index.
`void` | `setElementAt(Node node, int index)` **For internal use only** Sets the component at the specified index of this vector to be the specified object.
`void` | `setTail(Node n)` **For internal use only** Special purpose method for TransformerImpl, pushElemTemplateElement.
`void` | `setTailSub1(Node n)` **For internal use only** Special purpose method for TransformerImpl, pushElemTemplateElement.
`int` | `size()` **For internal use only** Get the length of the list.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeVector

    public NodeVector()

  **For internal use only** Default constructor.

### NodeVector

    public NodeVector(int blocksize)

  **For internal use only** Construct a NodeVector, using the given block size.

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  **For internal use only** Get a cloned LocPathIterator.

### size

    public int size()

  **For internal use only** Get the length of the list.

### addElement

    public void addElement(Node value)

  **For internal use only** Append a Node onto the vector.

### push

    public final void push(Node value)

  **For internal use only** Append a Node onto the vector.

### pop

    public final Node pop()

  **For internal use only** Pop a node from the tail of the vector and return the result.

### popQuick

    public final void popQuick()

  **For internal use only** Pop a node from the tail of the vector.

### peepOrNull

    public final Node peepOrNull()

  **For internal use only** Special purpose method for TransformerImpl, pushElemTemplateElement. Performance critical.

### pushPair

    public final void pushPair(Node v1,
                               Node v2)

  **For internal use only** Special purpose method for TransformerImpl, pushElemTemplateElement. Performance critical.

### popPair

    public final void popPair()

  **For internal use only** Special purpose method for TransformerImpl, pushElemTemplateElement. Performance critical.

### setTail

    public final void setTail(Node n)

  **For internal use only** Special purpose method for TransformerImpl, pushElemTemplateElement. Performance critical.

### setTailSub1

    public final void setTailSub1(Node n)

  **For internal use only** Special purpose method for TransformerImpl, pushElemTemplateElement. Performance critical.

### peepTail

    public final Node peepTail()

  **For internal use only** Special purpose method for TransformerImpl, pushElemTemplateElement. Performance critical.

### peepTailSub1

    public final Node peepTailSub1()

  **For internal use only** Special purpose method for TransformerImpl, pushElemTemplateElement. Performance critical.

### insertElementAt

    public void insertElementAt(Node value,
                                int at)

  **For internal use only** Inserts the specified node in this vector at the specified index. Each component in this vector with an index greater or equal to the specified index is shifted upward to have an index one greater than the value it had previously.

### appendNodes

    public void appendNodes(NodeVector nodes)

  **For internal use only** Append the nodes to the list.

### removeAllElements

    public void removeAllElements()

  **For internal use only** Inserts the specified node in this vector at the specified index. Each component in this vector with an index greater or equal to the specified index is shifted upward to have an index one greater than the value it had previously.

### removeElement

    public boolean removeElement(Node s)

  **For internal use only** Removes the first occurrence of the argument from this vector. If the object is found in this vector, each component in the vector with an index greater or equal to the object's index is shifted downward to have an index one smaller than the value it had previously.

### removeElementAt

    public void removeElementAt(int i)

  **For internal use only** Deletes the component at the specified index. Each component in this vector with an index greater or equal to the specified index is shifted downward to have an index one smaller than the value it had previously.

### setElementAt

    public void setElementAt(Node node,
                             int index)

  **For internal use only** Sets the component at the specified index of this vector to be the specified object. The previous component at that position is discarded. The index must be a value greater than or equal to 0 and less than the current size of the vector.

### elementAt

    public Node elementAt(int i)

  **For internal use only** Get the nth element.

### contains

    public boolean contains(Node s)

  **For internal use only** Tell if the table contains the given node.

### indexOf

    public int indexOf(Node elem,
                       int index)

  **For internal use only** Searches for the first occurence of the given argument, beginning the search at index, and testing for equality using the equals method.
  Returns:
    the index of the first occurrence of the object argument in this vector at position index or later in the vector; returns -1 if the object is not found.

### indexOf

    public int indexOf(Node elem)

  **For internal use only** Searches for the first occurence of the given argument, beginning the search at index, and testing for equality using the equals method.
  Returns:
    the index of the first occurrence of the object argument in this vector at position index or later in the vector; returns -1 if the object is not found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.